From: Gabor Juhos <juhosg@openwrt.org>
Subject: usr: sanitize deps_initramfs list

If any filename in the intramfs dependency
list contains a colon, that causes a kernel
build error like this:

/devel/openwrt/build_dir/linux-ar71xx_generic/linux-3.6.6/usr/Makefile:58: *** multiple target patterns.  Stop.
make[5]: *** [usr] Error 2

Fix it by removing such filenames from the
deps_initramfs list.

Signed-off-by: Gabor Juhos <juhosg@openwrt.org>
Signed-off-by: Felix Fietkau <nbd@nbd.name>
---
 usr/Makefile | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

--- a/usr/Makefile
+++ b/usr/Makefile
@@ -61,6 +61,8 @@ hostprogs := gen_init_cpio
 # The dependency list is generated by gen_initramfs.sh -l
 -include $(obj)/.initramfs_data.cpio.d
 
+deps_initramfs := $(foreach v,$(deps_initramfs),$(if $(findstring :,$(v)),,$(v)))
+
 # do not try to update files included in initramfs
 $(deps_initramfs): ;
 
